Package org.apache.sis.storage.netcdf

## Class AttributeNames.Term

- Object
- - Term

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    AttributeNames

      public static class AttributeNames.Term
      extends Object
      implements Serializable

  Holds the attribute names describing a term together with a vocabulary (or naming authority). A term is a word or expression having a precise meaning in a domain identified by the vocabulary. In the following table, the header lists the constants defined in the `AttributeNames` class and the other cells give the values assigned in this class fields for those constants.

  Names of netCDF attributes describing a keyword
  `AttributeNames` | `TEXT` | `VOCABULARY`
  --- | --- | ---
  `IDENTIFIER` | `"id"` | `"naming_authority"`
  `STANDARD_NAME` | `"standard_name"` | `"standard_name_vocabulary"`
  `KEYWORDS` | `"keywords"` | `"keywords_vocabulary"`
  `PROGRAM` | `"program"` |
  `PLATFORM` | `"platform"` | `"platform_vocabulary"`
  `INSTRUMENT` | `"instrument"` | `"instrument_vocabulary"`

  Note: The member names in this class are upper-cases because they should be considered as constants. For example `AttributeNames​.KEYWORD​.TEXT` maps exactly to the `"keywords"` string and nothing else. A lower-case `text` member name could be misleading since it would suggest that the field contains the actual text value rather than the key by which the value is identified in a netCDF file.
  Since:
    0.8
  See Also:
    Serialized Form

  Defined in the `sis-netcdf` module

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `TEXT` | The keyword or the identifier code.
    `String` | `VOCABULARY` | The vocabulary or identifier namespace, or `null` if none.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Term​(String text, String vocabulary)` | Creates a new set of attribute names.

  - ### Method Summary

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEXT

          public final String TEXT

      The keyword or the identifier code. Possible values for this field are `"id"`, `"standard_name"`, `"keywords"`, `"program"`, `"platform"` or `"instrument"`.

      Path in ISO 19115:

      - `Metadata` / `identificationInfo` / `descriptiveKeywords` / `keyword`
      - or `Identifier` / `code`

    - #### VOCABULARY

          public final String VOCABULARY

      The vocabulary or identifier namespace, or `null` if none. Possible values for this field are `"naming_authority"`, `"standard_name_vocabulary"`, `"keywords_vocabulary"`, `"platform_vocabulary"` or `"instrument_vocabulary"`.

      Path in ISO 19115:

      - `Metadata` / `identificationInfo` / `descriptiveKeywords` / `thesaurusName` / `title`
      - or `Identifier` / `authority` / `title`

  - ### Constructor Detail

    - #### Term

          public Term​(String text,
                      String vocabulary)

      Creates a new set of attribute names. Any argument can be `null` if not applicable.
      Parameters:
        `text` - the keyword or the identifier code.
        `vocabulary` - the vocabulary or identifier namespace.
      Since:
        0.8